#include "includes.h"

extern INT16U gu16Events;
extern INT16U gu16msTimer;
extern INT16U gu16timerEvent[3];

void interrupt KBIisr (void)
{

  INT8U u8keys;


  u8keys = ~PTAD;

  /* Still in debounce time - just return */
  if( gu16timerEvent[1] != 0 )
  {
    KBI1SC_KBACK = 1;
    return;
  }

  if( (u8keys & KBI_SW1) == KBI_SW1 )
  {
    gu16timerEvent[1] = KBI_DEBOUNCE;
    gu16Events |= KBI2_EVENT;
  }

  if( (u8keys & KBI_SW2) == KBI_SW2 )
  {
    gu16timerEvent[1] = KBI_DEBOUNCE;
    gu16Events |= KBI3_EVENT;
  }

  if( (u8keys & KBI_SW3) == KBI_SW3 )
  {
    gu16timerEvent[1] = KBI_DEBOUNCE;
    gu16Events |= KBI4_EVENT;
  }

  if( (u8keys & KBI_SW4) == KBI_SW4 )
  {
    gu16timerEvent[1] = KBI_DEBOUNCE;
    gu16Events |= KBI5_EVENT;
  }

  KBI1SC_KBACK = 1;

}
void KBD_Init(void)
{

  PB0IE = 1;  /* Enable KBI PB0 */
  PB1IE = 1;
  PB2IE = 1;
  PB3IE = 1;

  KBI1SC |= 0x02;
}

