/**
 * Copyright (c) 2004, Freescale Semiconductor
 * Freescale Confidential Proprietary
 *
 * File name :  SCI.h
 * Project name: SMAC (Simple Media Access Controller)
 *
 * Department : Freescale Radio Products Division
 *
 * Description : Header for SCI module.
 *
 * $Author: flr005 $
 * $Date: 2006/02/23 16:24:35 $
 * $Name:  $
 */

/* Constants Initialization*/
#define INIT_SCI2C2    0b00101100
#define BAUD_38400    0x0D    //for busclk=8Mhz (clk rate=16Mhz)



/* SCI functions */
void UART_send_byte(INT8U cData);
void UART_send_string(INT8U *pStr);
void UART_send_block(INT8U *pStr, INT8U length);
INT8U UART_accept_cmd(char *pPrompt, char *pBuffer, INT8U u8Size);
void UART_Init(INT32U u32BusClock, INT32U u32BaudRate, INT8U u8ComNumber);
void UART_send_block_as_hex_str(char *pStr, INT8U length);

void Vscirx(void);

