#ifndef __TIME_FUNCS
  #define __TIME_FUNCS

#define  T1_FREQ  (BUS_FREQ/(128*2))
#define  T_TO_T1CYCLE(x) (x*T1_FREQ)
#define  INT_PRESCALE 125

#define  INT_FREQ          1250L
#define  SW_POLL_CNT       (10)   //    1     = 10*0.0008 = 8 ms
#define  BUTTN_CYCLE_PER   ((1000*SW_POLL_CNT)/INT_FREQ)
#define  BUTTN_FIRST_DELAY (700)  //        
#define  BUTTN_NEXT_DELAY  (300)  //         

#define  SW1 0
#define  SW2 1
#define  SW3 2
#define  SW4 3

void  Timers_set_bus_freq(INT32U freq);
void  Timer1_init(void);
void  Timer1_delay(INT16U t);


void Delay_by_ticks(INT16U count);
//void Wait1ms(void);

#define DELAY_MS(x) Delay_by_ticks((x*INT_FREQ)/1000) 

void IRQ_TPM1C1(void);

INT8U Get_SW_state(INT8U sw_n);

#endif
