#include "includes.h"



interrupt void UnimplementedISR(void);
/* Interrupt table */
const tIsrFunc _vect[] @0xFFCC =
{
  UnimplementedISR,       /* vector 25: RT */
  UnimplementedISR,       /* vector 24: IIC */
  UnimplementedISR,       /* vector 23: ATD */
  UnimplementedISR,       /* vector 22: KBI */
  UnimplementedISR,       /* vector 21: SCI2TX */
  Vscirx,                 /* vector 20: SCI2RX */
  UnimplementedISR,       /* vector 19: SCI2ER */
  UnimplementedISR,       /* vector 18: SCI1TX */
  Vscirx,                 /* vector 17: SCI1RX */
  UnimplementedISR,       /* vector 16: SCI1ER */
  UnimplementedISR,       /* vector 15: SPI */
  UnimplementedISR,       /* vector 14: TPM2OF */
  UnimplementedISR,       /* vector 13: TPM2C4 */
  UnimplementedISR,       /* vector 12: TPM2C3 */
  UnimplementedISR,       /* vector 11: TPM2C2 */
  UnimplementedISR,       /* vector 10: TPM2C1 */
  UnimplementedISR,       /* vector 09: TPM2C0 */
  UnimplementedISR,       /* vector 08: TPM1OF */
  UnimplementedISR,       /* vector 07: TPM1C2 */
  IRQ_TPM1C1,             /* vector 06: TPM1C1 */
  UnimplementedISR,       /* vector 05: TPM1C0 */
  UnimplementedISR,       /* vector 04: ICG */
  UnimplementedISR,       /* vector 03: Low Voltage Detect */
  IRQIsr,                 /* vector 02: IRQ pin */
  UnimplementedISR        /* vector 01: SWI */
  /*_Startup, by default in library*/ /* Reset vector */
};


interrupt void UnimplementedISR(void)
{
  for( ;; );
}

